Package com.enonic.xp.macro

## Class MacroDescriptor.Builder

- java.lang.Object
- - com.enonic.xp.macro.MacroDescriptor.Builder

- Enclosing class:
    MacroDescriptor

      public static final class MacroDescriptor.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MacroDescriptor` | `build()` |
    `MacroDescriptor.Builder` | `description​(String description)` |
    `MacroDescriptor.Builder` | `descriptionI18nKey​(String descriptionI18nKey)` |
    `MacroDescriptor.Builder` | `displayName​(String displayName)` |
    `MacroDescriptor.Builder` | `displayNameI18nKey​(String displayNameI18nKey)` |
    `MacroDescriptor.Builder` | `form​(Form form)` |
    `MacroDescriptor.Builder` | `icon​(Icon icon)` |
    `MacroDescriptor.Builder` | `key​(MacroKey key)` |
    `MacroDescriptor.Builder` | `key​(String key)` |
    `MacroDescriptor.Builder` | `modifiedTime​(Instant modifiedTime)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### key

          public MacroDescriptor.Builder key​(MacroKey key)

    - #### key

          public MacroDescriptor.Builder key​(String key)

    - #### displayName

          public MacroDescriptor.Builder displayName​(String displayName)

    - #### displayNameI18nKey

          public MacroDescriptor.Builder displayNameI18nKey​(String displayNameI18nKey)

    - #### description

          public MacroDescriptor.Builder description​(String description)

    - #### descriptionI18nKey

          public MacroDescriptor.Builder descriptionI18nKey​(String descriptionI18nKey)

    - #### form

          public MacroDescriptor.Builder form​(Form form)

    - #### icon

          public MacroDescriptor.Builder icon​(Icon icon)

    - #### modifiedTime

          public MacroDescriptor.Builder modifiedTime​(Instant modifiedTime)

    - #### build

          public MacroDescriptor build()